# na.rb

Path: | lib/bio/data/na.rb
Last Update: | Wed Jan 05 06:23:30 +0000 2011

# bio/data/na.rb - Nucleic Acids

Copyright: | Copyright (C) 2001, 2005 Toshiaki Katayama <k@bioruby.org>
License: | The Ruby License

$Id:$

## Synopsis

Bio::NucleicAcid class contains data related to nucleic acids.

## Usage

Examples:

      require 'bio'

      puts "### na = Bio::NucleicAcid.new"
      na = Bio::NucleicAcid.new

      puts "# na.to_re('yrwskmbdhvnatgc')"
      p na.to_re('yrwskmbdhvnatgc')

      puts "# Bio::NucleicAcid.to_re('yrwskmbdhvnatgc')"
      p Bio::NucleicAcid.to_re('yrwskmbdhvnatgc')

      puts "# na.weight('A')"
      p na.weight('A')

      puts "# Bio::NucleicAcid.weight('A')"
      p Bio::NucleicAcid.weight('A')

      puts "# na.weight('atgc')"
      p na.weight('atgc')

      puts "# Bio::NucleicAcid.weight('atgc')"
      p Bio::NucleicAcid.weight('atgc')

[Validate]